Skip to main content
`Ctrl`+`K`

# PetscSFView

view a star forest

## Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFView(PetscSF sf, PetscViewer viewer)

Collective

## Input Parameters

- sf - star forest

- viewer - viewer to display graph, for example `PETSC_VIEWER_STDOUT_WORLD`

## See Also

PetscSF - an alternative to low-level MPI calls for data communication, `PetscSF`, `PetscViewer`, `PetscSFCreate()`, `PetscSFSetGraph()`

## Level

beginner

## Location

src/vec/is/sf/interface/sf.c

## Examples

src/vec/is/sf/tutorials/ex1.c
src/vec/is/sf/tutorials/ex2.c
src/vec/is/sf/tutorials/ex1f.F90
src/vec/is/sf/tutorials/ex3.c

## Implementations

PetscSFView_Basic() in src/vec/is/sf/impls/basic/sfbasic.c
PetscSFView_Window() in src/vec/is/sf/impls/window/sfwindow.c

Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages